<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    tools:context=".activity.ViewActivity">


    <ImageView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:id="@+id/preview"
        android:scaleType="centerCrop" />

    <FrameLayout
        android:layout_width="42dp"
        android:layout_height="42dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="45dp"
        android:background="@drawable/round_button"
        android:padding="5dp">

        <ImageView
            android:id="@+id/imageview_back"
            android:layout_width="wrap_content"
            android:layout_height="23dp"
            android:layout_gravity="center"
            android:src="@drawable/view_back"
            tools:ignore="ContentDescription" />
    </FrameLayout>

    <TextView
        android:id="@+id/textview_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:background="@drawable/shape_text_loading"
        android:padding="7dp"
        android:text="@string/set_text_loading"
        android:textColor="@color/black"
        android:textSize="18sp"
        android:visibility="gone" />


    <androidx.cardview.widget.CardView
        android:id="@+id/cardView"
        android:layout_width="327dp"
        android:layout_height="48dp"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="70dp"
        app:cardCornerRadius="10dp">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center"
            android:text="@string/set_wallpaper"
            android:textColor="@color/text_color"/>
    </androidx.cardview.widget.CardView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_above="@+id/cardView"
        android:layout_marginBottom="22dp">

        <FrameLayout
            android:id="@+id/share"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/round_button"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/download"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toStartOf="parent">

            <ImageView
                android:layout_width="26dp"
                android:layout_height="26dp"
                android:layout_gravity="center"
                android:foreground="@drawable/share_icon" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/download"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:background="@drawable/round_button"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/collection_layout"
            app:layout_constraintHorizontal_bias="0.5"
            app:layout_constraintStart_toEndOf="@id/share">

            <ImageView
                android:layout_width="26dp"
                android:layout_height="26dp"
                android:layout_gravity="center"
                android:foreground="@drawable/im_down" />
        </FrameLayout>

        <FrameLayout
            android:id="@+id/collection_layout"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:layout_marginStart="16dp"
            android:background="@drawable/round_button"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/download">

            <ImageView
                android:id="@+id/collection"
                android:layout_width="26dp"
                android:layout_height="26dp"
                android:layout_gravity="center"
                android:src="@drawable/selector_like" />
        </FrameLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>


    <ProgressBar
        android:id="@+id/progressbar"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:indeterminateTint="@color/black"
        android:visibility="gone" />


</RelativeLayout>